/* Website: sudarsanam 
Author: Weberge by ipsr 
Style.css*/

/********** CSS **********/
:root {
    --primary: #1A4C86;
    --secondary: #F25334;
    --dark: #0A1D33;
    --dark2: #14052C;
    --dark3: #333333;
    --light:#606E7D;
    --bg-light: #F0F6FC;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Fredoka", sans-serif;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    /* box-shadow: inset 0 0 5px grey;  */
    border-radius: 7px;
}


::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: 5px;
}


/************************ Common ************************/

section {
    padding: 60px 0px;
}

.text-primary {
    color: var(--primary) !important;
}
.text-secondary {
    color: var(--secondary) !important;
}
.text-dark {
    color: var(--dark) !important;
}
.text-light {
    color: var(--light) !important;
}

.bg-primary {
    background-color: var(--primary) !important;
}

.bg-secondary {
    background-color: var(--secondary) !important;
}

.bg-light {
    background-color: var(--bg-light) !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Fredoka", sans-serif;
}


h1 {
    font-size: 48px;
    font-weight: 600;
}

h2 {
    /* font-size: 40px;
    color: var(--secondary);
    margin-bottom: 25px;
    z-index: 99; */

}

h3 {
    font-size: 24px;
    font-weight: 400;
    margin-bottom: 15px;
}

h4 {
    font-size: 22px;
}

h5 {
    font-size: 20px;
}

h6 {
    font-size: 18px;
}

p {
    font-size: 17px;
    font-weight: 400;
    color: var(--light);
    line-height: 24px;
    margin-bottom: 20px;
}

a, i {
    /* font-size: 17px; */
    color: var(--dark);
    font-weight: 500;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;

}

a:hover {
    color: var(--secondary);
}

img {
    width: auto;
    max-width: 100%;
    border-radius: 5px;
    margin-bottom: 10px;
}
.border10{
    border-radius: 10px;
}
.border25{
    border-radius: 25px;
}

/* Content Styles */
.content {
    /* display: none; */
    /* Hide content initially */
}
.section-title{
    font-size: 40px;
    margin-bottom: 20px;
    text-transform: capitalize;
}
.section-title::after {
    content: "";
    display: block;
    width: 150px;
    height: 4px;
    background: var(--secondary);
    display: flex;
    margin-top: 20px;
}
.section-title-white{
    font-size: 40px;
    margin-bottom: 20px;
}
.section-title-white::after {
    background: white;
}
.news-main .section-title::after, .gallery-tab .section-title::after, .facilities .section-title::after{
    margin: 0 auto;
    margin-top: 20px;
}
/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 400;
}

.btn-primary {
    background-color: var(--primary);
    color: white !important;
    border-radius: 7px;
    border: none;
    text-transform: capitalize;
    /* display: inline-block; */
    padding: 5px 25px;
    min-height: 45px;
    font-weight: 500;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
}

.btn-primary:hover {
    background-color: var(--secondary);
}

.btn-primary,
.btn-outline-primary:hover {
    border-color: var(--primary) !important;
}

.btn-check:focus+.btn-primary,
.btn-primary:focus {
    color: #fff !important;
    background-color: var(--primary);
    border: none !important;
    /* border-color: #000; */
    box-shadow: none;
    border-color: var(--primary) !important;

}

.btn-check:active+.btn-primary,
.btn-check:checked+.btn-primary,
.btn-primary.active,
.btn-primary:active,
.show>.btn-primary.dropdown-toggle {
    color: #fff !important;
    background-color: var(--primary);
    /* border-color: #000; */
    border: none !important;
    border-color: var(--primary) !important;
}

.btn-white {
    background-color: white;
    color: var(--primary) !important;
    z-index: 99;
}

.btn-white:hover {
    color: white !important;
}

.btn-secondary,
.btn-outline-secondary:hover {
    color: var(--dark);
}

.learn-more{
    text-align: center;
    background: var(--secondary);
    color: white;
    padding: 10px 15px;
    border-radius: 5px;
    text-transform: capitalize;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
}
.learn-more:hover{
    background: var(--primary);
    color: white;
}
.read-more {
    font-weight: 500 !important;
    color: var(--primary);
    text-transform: capitalize;
    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
}
.read-more:hover{
    color: var(--secondary);
}

.read-more i{
    position: absolute;
    font-size: 17px;
    padding-left: 7px;
    top: 7px;
    color: var(--primary);
}


.read-more-link {
  text-decoration: none;
  position: relative;
  /* display: inline-block; */
  font-size: 18px;
  color: var(--primary);
  overflow: hidden; 
  transition: background-position 370ms ease;
  font-weight: 500 !important;
  text-transform: capitalize;
} 

.read-more-link::before {
  position: absolute;
  content: attr(data-content);
  color: var(--secondary);
  text-decoration: underline;
  clip-path: polygon(0 0, 0 0, 0% 100%, 0 100%);
  transition: clip-path 370ms ease;
}

.read-more-link:hover::before {
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);  
}

.read-more-link i{
    position: absolute;
    font-size: 16px;
    padding-left: 7px;
    top: 7px;
    color: var(--primary);
}
.read-more-link:hover i {
  transform: translateX(4px); 
  color: var(--secondary);
}
/************************ Home ************************/
.home-main{
    position: relative;
    background-image: url(../img/home-bg.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
.home-main::before{
    background: #000 !important;
    opacity: 0.7;
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
}
.home-content{
    z-index: 99;
}
.logo-main img{
    height: 180px;
    width: auto;
    margin: 0 auto;
    display: block;
}
.home-links{
    gap: 20px;
    justify-content: center;
    padding: 30px 0;
    align-items: center;
}
.home-links img{
    height: 50px;
    width: auto;
}
.home-links a{
    padding: 15px 10px;
    width: 260px;
    height: 130px;
    text-align: center;
    border-radius: 5px;
    color: white;
}
.home-links a:first-child{
    background: var(--primary);
}
.home-links a:last-child{
    background: var(--secondary);
}

  
.home-contact {
    /* display: flex;
    justify-content: end; */
    align-items: center;
    padding: 5px 50px;
}

.home-contact ul {
    gap: 20px;
    align-items: center;
    margin-bottom: 0;
}
.home-contact li{
    list-style: none;
}
.home-contact i {
    padding-right: 10px;
    margin-right: 5px;
    color: white;
    color: var(--secondary);
}

.home-contact a {
    color: white;
    font-weight: 500;
    font-size: 17px;
}

.home-contact a:hover {
    color: var(--secondary) !important;
}



/* ----------------Responsive------------------- */

@media (max-width: 768px) {
  .logo-main img{
    height: 100px;
}
.home-links a{
  width: 200px;
  height: auto;
}
}
@media (max-width: 576px) {
  .home-links{
    display:  grid !important;
  }
  .home-links a{
  width: auto;
  height: auto;
}
.home-contact ul {
    display: inline-block !important;
}
}